---
layout: single
title:  "What to do in the Meantime"
categories: research 
excerpt: "Service Coverage Analysis for Parked Autonomous Vehicles"
header:
  teaser: assets/figures/5_meantime_coverage.jpg
---

![Estimated Service Coverage](assets\figures\5_meantime_coverage.jpg){:style="display:block; margin-left:auto; margin-right:auto"}

Fully autonomously driving vehicles are expected to be a widely available technology in the near future. Privately owned cars, which remain parked for the majority of their lifetime, may therefore be capable of driving independently during their usual long parking periods (e.g. their owners working hours). Our analysis aims to focus on the potential of a privately owned shared car concept as transition period between the present usages of privately owned cars towards a transportation paradigm of privately owned shared autonomous vehicles. We propose two methods in the field of reachability analysis to evaluate the impact of such vehicles during parking periods. Our proposed methods are applied to a dataset of parking times of users of a telematics service provider in the Munich area (Germany). We show the impact of time and location dependent effects on the analyzed service coverage, such as business week rush hours or cover age divergence between urban and suburban regions.
{% cite illium2020meantime %}

![Parked Vehicle Availability](\assets\figures\5_meantime_availability.jpg){:style="display:block; margin-left:auto; margin-right:auto"}
