---
layout: single
title:  "Anomaly Detection in RL"
categories: research audio deep-learning anomalie-detection 
excerpt: "Towards Anomaly Detection in Reinforcement Learning"
header:
  teaser: assets/figures/14_ad_rl_teaser.jpg
---

![Formal Definition](\assets\figures\14_ad_rl.jpg){:style="display:block; margin-left:auto; margin-right:auto"}

Identifying datapoints that substantially differ from normality is the task of anomaly detection (AD). While AD has gained widespread attention in rich data domains such as images, videos, audio and text, it has has been studied less frequently in the context of reinforcement learning (RL). This is due to the additional layer of complexity that RL introduces through sequential decision making. Developing suitable anomaly detectors for RL is of particular importance in safety-critical scenarios where acting on anomalous data could result in hazardous situations. In this work, we address the question of what AD means in the context of RL. We found that current research trains and evaluates on overly simplistic and unrealistic scenarios which reduce to classic pattern recognition tasks. We link AD in RL to various fields in RL such as lifelong RL and generalization. We discuss their similarities, differences, and how the fields can benefit from each other. Moreover, we identify non-stationarity to be one of the key drivers for future research on AD in RL and make a first step towards a more formal treatment of the problem by framing it in terms of the recently introduced block contextual Markov decision process. Finally, we define a list of practical desiderata for future problems.
{% cite muller2022towards %}
