---
layout: single
title:  "Organism Networks"
categories: research audio deep-learning anomalie-detection 
excerpt: "Constructing ON from Collaborative Self-Replicators"
header:
  teaser: assets/figures/16_on_teaser.jpg
---

![Organism Network Architecture](\assets\figures\16_on_architecture.jpg){:style="display:block; margin-left:auto; margin-right:auto"}

A key element of biological structures is self-replication. Neural networks are the prime structure used for the emergent construction of complex behavior in computers. We analyze how various network types lend themselves to self-replication. Backpropagation turns out to be the natural way to navigate the space of network weights and allows non-trivial self-replicators to arise naturally. We perform an in-depth analysis to show the self-replicatorsâ€™ robustness to noise. We then introduce artificial chemistry environments consisting of several neural networks and examine their emergent behavior. In extension to this works previous version (Gabor et al., 2019), we provide an extensive analysis of the occurrence of fixpoint weight configurations within the weight space and an approximation of their respective attractor basins.
{% cite illium2022constructing %}

![Dropout](\assets\figures\16_on_dropout.jpg){:style="display:block; margin-left:auto; margin-right:auto"}
