---
layout: single
title:  "IOT: Devices & Connectivity"
categories: teaching
tags: teaching iot
excerpt: "Teaching to plan and develope distributed mobile apps for Android as a team."
header:
  teaser: assets/images/teaching/server.png
---

![logo](\assets\images\teaching\server.png){: .align-left style="padding:0.1em; width:5em"}
In the context of the lecture [Internet of Things (IoT)](https://www.mobile.ifi.lmu.de/lehrveranstaltungen/iot-ws1819/), my task was to come up with a practical exercise which could be implemented in the scope of 1-2 classes. We went with a typical [MQQT](https://mqtt.org/) based communication approach, which incooperated an [InfluxDB](https://www.influxdata.com/) backend, while simulating some high frequency sensors.
The task was to implement this all from scratch in [Python](https://www.python.org/), which was tought in seperate [lecture](/teaching/python).
![IOT Influx Pipeline](\assets\figures\iot_inflex_pipeline.png){:style="display:block; margin-left:auto; margin-right:auto; padding: 2em;"}
This practical course was held in front of about 200 students in winter 2018.

### Contents

The general topics of the lecture included: **1)** Arduino and Raspberry Pi, **2)** Wearables and ubiquitous computing, **3)** Metaheuristics for optimization problems, **4)** Edge/fog/cloud computing and storage, **5)** Scalable algorithms and approaches, **6)** Spatial data mining, **7)** Information retrieval and mining, **8)** Blockchain and digital consensus, **9)** Combinatorial optimization in practice, **10)** Predictive maintenance systems, **11)** Smart IoT applications, **12)** Cyber security & **13)** Web of Things
